Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.prover
Class SimplifyComment

    java.lang.Object
      escjava.prover.SimplifyOutput
          escjava.prover.SimplifyComment

public class SimplifyComment
extends SimplifyOutput

An object of this class represent a progress comment produced by Simplify.

See Also:
  `Simplify`, `CECEnum`, `SExp`

Field Summary
`(package private) java.lang.String` | `msg`

Fields inherited from class escjava.prover.SimplifyOutput
`COMMENT, COUNTEREXAMPLE, END, EXCEEDED_PROVER_KILL_ITER, EXCEEDED_PROVER_KILL_TIME, EXCEEDED_PROVER_SUBGOAL_KILL_ITER, EXCEEDED_PROVER_SUBGOAL_KILL_TIME, INVALID, kind, REACHED_CC_LIMIT, UNKNOWN, VALID, WARNING_TRIGGERLESS_QUANT`

Constructor Summary
`(package private)` | `SimplifyComment(java.lang.String msg)`

Method Summary
`java.lang.String` | `getMsg()`

Methods inherited from class escjava.prover.SimplifyOutput
`getKind, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### msg

    final java.lang.String msg

Constructor Detail

### SimplifyComment

    SimplifyComment(java.lang.String msg)

Method Detail

### getMsg

    public java.lang.String getMsg()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage